Summary:	3rd-party Munin plugins
Summary(pl.UTF-8):	Nieoficjalne wtyczki munina
Name:		munin-plugins-contrib
Version:	20230307
Release:	1
License:	GPL
Group:		Daemons
Source0:	https://github.com/munin-monitoring/contrib/tarball/master/%{name}-%{version}.tar.gz
# Source0-md5:	e2ee06588f56d58df9a44860f743f7fd
Patch0:		%{name}-apache.patch
Patch1:		%{name}-passenger.patch
URL:		https://github.com/munin-monitoring/contrib/
BuildRequires:	dos2unix
BuildRequires:	perl-devel
BuildRequires:	rpm-perlprov
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.268
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_perl		DateTime::Format::ISO8601 Sys::Virt Sys::Virt::.* VMware::.* File::Tail::Multi nvidia::ml WWW::Mechanize::TreeBuilder Sun::Solaris::Kstat

%description
This package contains 3rd-party plugins for Munin from contrib repository
located at https://github.com/munin-monitoring/contrib/.

%description -l pl.UTF-8
Ten pakiet zawera nieoficjalne wtyczki dla Munina z repozytorium contrib,
znajdującym się na https://github.com/munin-monitoring/contrib/.

%define	contrib_package()\
%package %{1}\
Summary:	3rd-party Munin plugin - %{1}\
Summary(pl.UTF-8):	Nieoficjalna wtyczka dla munina - %{1}\
Group:		Daemons\
Requires:	munin-node\
\
%description %{1}\
This package contains 3rd-party plugins for Munin from contrib repository\
located at https://github.com/munin-monitoring/contrib/.\
\
%description %{1} -l pl.UTF-8\
Ten pakiet zawera nieoficjalne wtyczki dla Munina z repozytorium contrib,\
znajdującym się na https://github.com/munin-monitoring/contrib/.\
\
%files %{1} -f %{1}.list\
%defattr(755,root,root,755)\
%{nil}

%prep
%setup -q -n munin-monitoring-contrib-05487ba

find -type f -print0 | xargs -0 dos2unix

%patch0 -p1
%patch1 -p1

grep -r bin/env -l plugins/ | xargs sed -i -e '1{
	s,#!.*bin/env ruby,#!%{__ruby},
	s,#!.*bin/env python3[^ ]*,#!%{__python3},
	s,#!.*bin/env python[^ ]*,#!%{__python},
	s,#!.*bin/env perl,#!%{__perl},
}'

find plugins/ -type f | xargs sed -i -e '1{
	s,#!.*/usr/local/bin/,#!/usr/bin/,
	s,#!.*/opt/csw/bin/ruby,#!%{__ruby},
	s,#!.*/usr/bin/bash,#!/bin/bash,
	s,#!.*/sbin/sh,#!/bin/sh,
}'

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' ')' -print0 | xargs -0 -r -l512 rm -f

%{__rm} -r plugins/asterisk/asterisk_*_fax_*

for f in plugins/apache/apache_byprojects/byprojects_* ; do
	%{__mv} $f plugins/apache/apache_byprojects/apache_$(basename $f)
done
for f in plugins/nginx/nginx_byprojects/byprojects_* ; do
	%{__mv} $f plugins/nginx/nginx_byprojects/nginx_$(basename $f)
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/munin/plugins/

for i in plugins/*; do
	[ -d $i ] || continue
	j=$(basename $i | sed -e 's/_$//')
	>$j.list
	find $i/* -type f | while read f ; do
                echo $f | grep -q -E "(example|png|.gitignore)" && continue
		n=$(echo $f | sed -e 's!'$i'/!!')
		d=$(dirname $n)
		if [ "$d" != "%{_datadir}/munin/plugins" ]; then
			if ! test -d $RPM_BUILD_ROOT%{_datadir}/munin/plugins/$d; then
				echo "%dir %{_datadir}/munin/plugins/$d" >>$j.list
				install -d $RPM_BUILD_ROOT%{_datadir}/munin/plugins/$d
			fi
		fi
		echo "%{_datadir}/munin/plugins/$n" >>$j.list
		install -p $f $RPM_BUILD_ROOT%{_datadir}/munin/plugins/$n
	done
done

%clean
rm -rf $RPM_BUILD_ROOT

%contrib_package 2wire
%contrib_package accounting
%contrib_package adguardhome
%contrib_package amavis
%contrib_package amr
%contrib_package amule
%contrib_package apache
%contrib_package apt
%contrib_package arangodb
%contrib_package aris
%contrib_package arp
%contrib_package assp
%contrib_package asterisk
%contrib_package audit
%contrib_package backup
%contrib_package backuppc
%contrib_package bacula
%contrib_package balanceng
%contrib_package battery
%contrib_package bigbrother
%contrib_package bind
%contrib_package bird
%contrib_package boinc
%contrib_package brocade
%contrib_package bsd
%contrib_package cacti
%contrib_package celery
%contrib_package ceph
%contrib_package change.org
%contrib_package chat
%contrib_package cherokee
%contrib_package chilli
%contrib_package chrony
%contrib_package clamav
%contrib_package comet
%contrib_package condor
%contrib_package coturn
%contrib_package courier
%contrib_package cpan
%contrib_package cpu
%contrib_package currency
%contrib_package cyrus
%contrib_package darwin
%contrib_package db2
%contrib_package dd-wrt
%contrib_package debian
%contrib_package dhcp
%contrib_package disk
%contrib_package djabberd
%contrib_package dkim
%contrib_package docker
%contrib_package dovecot
%contrib_package drbd
%contrib_package drupal
%contrib_package dspam
%contrib_package dvb
%contrib_package ejabberd
%contrib_package emc
%contrib_package etherpadlite
%contrib_package exodus
%contrib_package fan
%contrib_package fax
%contrib_package firebird
%contrib_package fr24
%contrib_package freeradius
%contrib_package ftp
%contrib_package funkytown
%contrib_package games
%contrib_package gearman
%contrib_package geowebcache
%contrib_package git
%contrib_package glance
%contrib_package glassfish
%contrib_package google
%contrib_package gpsd
%contrib_package gpu
%contrib_package groupwise
%contrib_package gunicorn
%contrib_package haproxy
%contrib_package harddisks
%contrib_package hdfs
%contrib_package heimdal
%contrib_package horde
%contrib_package http
%contrib_package hue
%contrib_package i2p
%contrib_package icecast
%contrib_package icinga
%contrib_package ilias
%contrib_package imapproxy
%contrib_package ip6
%contrib_package ipmi
%contrib_package ipvs
%contrib_package ircd
%contrib_package isp
%contrib_package java
%contrib_package jchkmail
%contrib_package jenkins
%contrib_package jitsi
%contrib_package jmx
%contrib_package joomla
%contrib_package jvm
%contrib_package kamailio
%contrib_package keystone
%contrib_package knot
%contrib_package libreoffice
%contrib_package libvirt
%contrib_package licensing
%contrib_package lighttpd
%contrib_package load
%contrib_package logins
%contrib_package logs
%contrib_package luftdaten
%contrib_package lustre
%contrib_package lxc
%contrib_package lxd
%contrib_package mail
%contrib_package mailman
%contrib_package mediawiki
%contrib_package memcached
%contrib_package memory
%contrib_package minecraft
%contrib_package mixminion
%contrib_package moblock
%contrib_package mod_jk
%contrib_package mogilefs
%contrib_package moinmoin
%contrib_package mongodb
%contrib_package monit
%contrib_package moodle
%contrib_package mpd
%contrib_package mssql
%contrib_package mumble
%contrib_package munin
%contrib_package mysql
%contrib_package mythtv
%contrib_package nagios
%contrib_package netapp
%contrib_package netscaler
%contrib_package network
%contrib_package newznab
%contrib_package nextcloud
%contrib_package nfs
%contrib_package nfs-freebsd
%contrib_package nginx
%contrib_package nginx_unit
%contrib_package nova
%contrib_package nscd
%contrib_package nsd
%contrib_package ntp
%contrib_package omreport
%contrib_package openfire
%contrib_package openntpd
%contrib_package openstack
%contrib_package openvz
%contrib_package openwrt
%contrib_package oracle
%contrib_package ossec
%contrib_package other
%contrib_package passenger
%contrib_package pdns
%contrib_package percona
%contrib_package pf
%contrib_package php
%contrib_package ping
%contrib_package poseidon
%contrib_package postfix
%contrib_package postgresql
%contrib_package power
%contrib_package power5
%contrib_package powermta
%contrib_package printer
%contrib_package prosody
%contrib_package proxmox
%contrib_package puma
%contrib_package punbb
%contrib_package puppet
%contrib_package qmail
%contrib_package qpsmtpd
%contrib_package quake
%contrib_package rabbitmq
%contrib_package rackspace
%contrib_package radiator
%contrib_package raspberry-pi
%contrib_package reddit_karma
%contrib_package redis
%contrib_package relayd
%contrib_package requesttracker
%contrib_package rethinkdb
%contrib_package riak
%contrib_package router
%contrib_package rsnapshot
%contrib_package rsync
%contrib_package rtorrent
%contrib_package s3
%contrib_package sabnzbd
%contrib_package samba
%contrib_package san
%contrib_package sar
%contrib_package scalix
%contrib_package security
%contrib_package senderbase
%contrib_package senderscore
%contrib_package sendmail
%contrib_package sensors
%contrib_package sfsnmp
%contrib_package sge
%contrib_package shorewall
%contrib_package shoutcast
%contrib_package sickbeard
%contrib_package smf
%contrib_package smstools
%contrib_package snmp
%contrib_package solar
%contrib_package solaris
%contrib_package solr
%contrib_package sourceds
%contrib_package spamassasin
%contrib_package sphinx
%contrib_package spotweb
%contrib_package squeezebox
%contrib_package squid
%contrib_package ssh
%contrib_package ssl
%contrib_package streaming
%contrib_package swap
%contrib_package swift
%contrib_package syncthing
%contrib_package synology
%contrib_package syslog
%contrib_package system
%contrib_package systemd
%contrib_package tarsnap
%contrib_package tcp
%contrib_package teamspeak
%contrib_package tesla
%contrib_package thecus
%contrib_package thin
%contrib_package tinydns
%contrib_package tomcat
%contrib_package tor
%contrib_package torrent
%contrib_package tplink
%contrib_package trafic_ro
%contrib_package tv
%contrib_package twemproxy
%contrib_package ubiquiti
%contrib_package ubuntu
%contrib_package udp
%contrib_package ultramonkey
%contrib_package unicorn
%contrib_package user
%contrib_package uucp
%contrib_package uwsgi
%contrib_package varnish
%contrib_package vbulletin
%contrib_package vdr
%contrib_package virtualbox
%contrib_package vmware
%contrib_package voip
%contrib_package voldemort
%contrib_package vpn
%contrib_package vserver
%contrib_package weather
%contrib_package websphere
%contrib_package wifi
%contrib_package wordpress
%contrib_package wowza
%contrib_package wuala
%contrib_package xastir
%contrib_package xbnbt
%contrib_package xen
%contrib_package yacy
%contrib_package yum
%contrib_package zfs
%contrib_package zimbra
%contrib_package znc
%contrib_package zope
%changelog
* Wed Mar 08 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/munin-plugins-contrib.git;a=log;h=master

* Tue Mar 07 2023 Marcin Krol <hawk@tld-linux.org> 2394ea8
- updated, master branch at 20230307

* Tue Mar 22 2016 Marcin Krol <hawk@tld-linux.org> d50a79d
- updated to 20160322

* Mon Nov 09 2015 Marcin Krol <hawk@tld-linux.org> 363b7ec
- package subdirs too

* Fri Nov 06 2015 Marcin Krol <hawk@tld-linux.org> c3ba27f
- updated to 20151106, updated URL, package all contents using same
  directory structure as provided by upstream

* Sat Oct 17 2015 Marcin Krol <hawk@tld-linux.org> f27a83c
- drop trailing underscore in package names for wildcard plugins

* Wed Oct 14 2015 Marcin Krol <hawk@tld-linux.org> 5519eb9
- updated patches, release 1

* Wed Oct 14 2015 Marcin Krol <hawk@tld-linux.org> ae37cd0
- really updated

* Wed Oct 14 2015 Marcin Krol <hawk@tld-linux.org> 548679c
- updated for current snapshot

* Wed Oct 14 2015 Marcin Krol <hawk@tld-linux.org> 3746df9
- obsolete, applied upstream

* Wed Oct 14 2015 Marcin Krol <hawk@tld-linux.org> a80e513
- contrib plugins for Munin, NFY, patches not adjusted

